/* FAQ */
.cpx-faq__item {
    border-radius: 25px;
    background-color: color-mix(in srgb, var(--e-global-color-text), #fff 3%);
    border: 1px solid color-mix(in srgb, var(--e-global-color-text), #fff 9%);
    transition: background-color 0.3s ease, border-color 0.3s cubic-bezier(.19, 1, .22, 1);

    &:not(:last-child) {
        margin-bottom: 15px;
    }

    &:hover,
    &[open] {
        background-color: color-mix(in srgb, var(--e-global-color-text), #fff 5%);
    }
}

/* .cpx-faq__item+.cpx-faq__item {
    border-top: 1px solid var(--e-global-color-primary);
} */

.cpx-faq__item__question {
    position: relative;
    padding: 1.2em 1.5em;
    padding-right: 2em;
    cursor: pointer;
    font-weight: 500;
    font-size: 17px;
    line-height: 1.3;
    list-style: none;
    color: color-mix(in srgb, var(--e-global-color-secondary), transparent 20%);
    transition: color 0.3s ease;

    font-family: var(--e-global-typography-b8308b4-font-family), Sans-serif;
    font-size: var(--e-global-typography-b8308b4-font-size);
    font-weight: var(--e-global-typography-b8308b4-font-weight);
    line-height: var(--e-global-typography-b8308b4-line-height);
}

.cpx-faq__item__question:hover {
    color: var(--e-global-color-primary);
}

.cpx-faq__item__question::-webkit-details-marker {
    display: none;
}

.cpx-faq__item__question::before,
.cpx-faq__item__question::after {
    content: '';
    position: absolute;
    background-color: var(--e-global-color-secondary);
    transition: all 0.3s ease;
}

.cpx-faq__item__question::before {
    right: 16px;
    top: calc(50% - 1px);
    width: 16px;
    height: 4px;
    transform: translateY(-50%);
}

.cpx-faq__item__question::after {
    right: calc(15px + 7px);
    top: calc(50% - 8px);
    width: 4px;
    height: 15px;
    transform-origin: center;
}

.cpx-faq__item[open] .cpx-faq__item__question::before,
.cpx-faq__item[open] .cpx-faq__item__question::after {
    transform: rotate(45deg);
    /* background-color: var(--e-global-color-primary); */
    background-color: var(--e-global-color-accent);
}

.cpx-faq__item[open] .cpx-faq__item__question::after {
    /* top: calc(49% - 7px); */
    height: 16px;
}

.cpx-faq__item[open] .cpx-faq__item__question::before {
    /* opacity: 0; */
    top: calc(50% - 2px);
    width: 16px;
}

.cpx-faq__item[open] .cpx-faq__item__question {
    color: var(--e-global-color-secondary);
}

.cpx-faq__item__answer {
    padding: 0 1em 1em;
    /* line-height: 1.6; */
    background-color: color-mix(in srgb, var(--e-global-color-1b95cf9), #fff 5%);
    border-radius: 0px;
    padding: 20px;
    padding-left: 37px;
    margin-bottom: 1em;
    color: var(--e-global-color-secondary);
}

.cpx-faq__item__answer p {
    margin-bottom: 1em;
    margin-block-end: 1em !important;
}

.cpx-faq__item__answer p:last-child {
    margin-bottom: 0;
    margin-block-end: 0 !important;
}

.cpx-faq__tag-title {
    color: var(--e-global-color-text);
}